Asset Management

Asset Management API

1.0.0OAS 3.1
API Base URL
  • Server 1:https://{your-bynder-domain}/
Security
OAuth2 (oauth2)

Authorization Code OAuth Flow

Authorize URL: https://{your-auth-url}

Token URL: https://{your-bynder-domain}/v6/authentication/oauth2/token

Scopes:

  • ARCHIVEDOWNLOAD -
  • ARCHIVEMEDIA -
  • EMARGOMEDIA -
  • KEYVISUALDOWNLOAD -
  • MARKPUBLIC -
  • MEDIAEDIT -
  • MEDIAREMOVE -
  • STATISTICS -

Client Credentials OAuth Flow

Token URL: https://{your-bynder-domain}/v6/authentication/oauth2/token

Scopes:

  • ARCHIVEDOWNLOAD -
  • ARCHIVEMEDIA -
  • EMARGOMEDIA -
  • KEYVISUALDOWNLOAD -
  • MARKPUBLIC -
  • MEDIAEDIT -
  • MEDIAREMOVE -
  • STATISTICS -
permanentToken (apiKey)

An API key is a token that you provide when making API calls. Include the token in a header parameter called Authorization.

Example: Authorization: 123

Media

Retrieve assets

original is only returned for assets marked as public and requires the account to have the seoBaseUrl setting configured.

get
https://{your-bynder-domain}/api/v4/media/

Query Parameters

brandIdstring(uuid)

Brand id, can be retrieved using the Retrieve brands and subbrands call.

subBrandIdstring(uuid)

Sub-brand id, can be retrieved using the Retrieve brands and subbrands call.

categoryIdstring(uuid)

Category id, can be retrieved using the Retrieve categories call.

collectionIdstring(uuid)

Collection id, can be retrieved using the Retrieve collections call.

idstring(uuid)

Asset id, will return the asset for that id.

idsstring

Comma-separated list of asset ids. Will return an asset for each existing id.

propertyOptionIdstring

Comma-separated list of (metaproperty) option ids, can be retrieved using the Retrieve metaproperties call.

tagsstring

Comma-separated list of tags, can be retrieved using the Retrieve tags call.

typestring

Comma-separated list of asset types.

Allowed values:imagedocumentaudiovideo3d

orientationstring

Comma-separated list of asset orientation.

Allowed values:squareportraitlandscape

property_NAMEstring

Metaproperty option name or comma-separated list ids of metaproperty options for that metaproperty. Beware that NAME should be replaced with the actual metaproperty name. This is an AND operation when passing multiple values. If a Date type metaproperty is added, retrieving assets using the dates for that metaproperty is not supported.

limitedboolean

Indicates whether or not the response should only contain assets marked as “limited usage”.

archiveboolean

Indicates whether or not the response should only contain archived assets.

isPublicboolean

Indicates whether or not the response should only contain assets marked as public.

keywordstring

Search on filenames, tags, extensions, collection names, guidelines, brandstore, campaigns in workflow, enriched PDFs, word documents.

dateCreatedstring(date-time)

Retrieve assets created after this date. ISO8601 format yyyy-mm-ddThh:mm:ssZ.

dateCreatedTostring(date-time)

Set a date range together with the “dateCreated” parameter. ISO8601 format yyyy-mm-ddThh:mm:ssZ.

dateCreatedOnstring(date-time)

Retrieve assets created on this specific date. ISO8601 format yyyy-mm-ddThh:mm:ssZ.

dateModifiedstring(date-time)

Retrieve assets modified after this date. ISO8601 format yyyy-mm-ddThh:mm:ssZ.

dateModifiedTostring(date-time)

Set a date range together with the “dateModified” parameter. ISO8601 format yyyy-mm-ddThh:mm:ssZ.

dateModifiedOnstring(date-time)

Retrieve assets modified on this specific date. ISO8601 format yyyy-mm-ddThh:mm:ssZ.

orderBystring

Order of the returned list of assets.

Allowed values:dateCreated ascdateModified ascdatePublished ascname ascdateCreated descdateModified descdatePublished descname desc

limitinteger

Maximum number of results.

Default:50

<= 1000

pageinteger

Offset page for results: return the N-th set of limit-results.

Default:1

countboolean

Indicating whether or not the response should include count results.

Default:false

totalboolean

Indicating whether or not the response should include the total count of results.

Default:false

includeMediaItemsboolean

Indicating whether or not the response should include all the different media items (derivatives) available for each asset.

Default:false

includeVersionNumberboolean

Indicating whether or not the response should include the active version number.

Default:false

cursorstring

cursorMark returned in the X-Bynder-NextCursor response header which allows to return the next set of results.

Headers

Authorizationstringrequired

OAuth 2.0 Bearer access token.

Response

application/json

Successful response

archiveboolean
brandIdstring(uuid)
copyrightstring
dateCreatedstring(date-time)
dateModifiedstring(date-time)
datePublishedstring(date-time)
descriptionstring
extensionarray[string]
fileSizeinteger
heightinteger
idstring(uuid)
idHashstring
isPublicboolean
limitedboolean
mediaItemsarray[object]
Show Child Parameters
namestring
orientationstring
originalstring
propertyOptionsarray[string]
property_limitedrightsstring
tagsarray[string]
thumbnailsobject
Show Child Parameters
transformBaseUrlstring
typestring
userCreatedstring
videoPreviewURLsarray[string]
watermarkedboolean
widthinteger
get/api/v4/media/
 
application/json